Skip to main content
GET
/
api
/
v1
/
purchase-orders
/
direct-cost
/
{document_id}
Get Purchase Order
curl --request GET \
  --url https://staging.cutmake.ai/api/v1/purchase-orders/direct-cost/{document_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "internalId": "<string>",
  "status": "<string>",
  "currentVersion": 123,
  "supplierId": "<string>",
  "supplierName": "<string>",
  "orderDate": "<string>",
  "currency": "<string>",
  "subtotal": "<string>",
  "taxRate": "<string>",
  "taxAmount": "<string>",
  "adjustment": "<string>",
  "total": "<string>",
  "createdAt": "<string>",
  "createdBy": "<string>",
  "supplierRefPO": "<string>",
  "expectedDeliveryDate": "<string>",
  "linkedMrId": "<string>",
  "notes": "<string>",
  "items": []
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

document_id
string
required

The PO document ID (e.g., DCPO-2026-0001)

Response

Successful Response

Full detail response for a Direct Cost PO

id
string
required
internalId
string
required
status
string
required
currentVersion
integer
required
supplierId
string
required
supplierName
string
required
orderDate
string
required
currency
string
required
subtotal
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
taxRate
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
taxAmount
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
adjustment
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
total
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
createdAt
string
required
createdBy
string
required
supplierRefPO
string | null
expectedDeliveryDate
string | null
linkedMrId
string | null
notes
string | null
items
DirectCostLineItemOutput · object[]